API to delete an schedule by schedule id
http
DELETE https://services.leadconnectorhq.com/invoices/schedule/{scheduleId}Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
scheduleId | string | Yes | 6578278e879ad2646715ba9c | Schedule Id |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
altId | string | Yes | 6578278e879ad2646715ba9c | account Id / company Id based on altType |
altType | string | Yes | account | Alt Type |
Responses
200 - Successful response
success(boolean, required): success Example:True
json
{
"success": true
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X DELETE 'https://services.leadconnectorhq.com/invoices/schedule/YOUR_scheduleId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/invoices/schedule/YOUR_scheduleId', {
method: 'DELETE',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'DELETE',
'https://services.leadconnectorhq.com/invoices/schedule/YOUR_scheduleId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/invoices/schedule/YOUR_scheduleId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);